> For the complete documentation index, see [llms.txt](https://docs.1kosmos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.1kosmos.com/authentication/authentication-proxy/radius-setup.md).

# RADIUS Setup

***

### Starting the RADIUS server service

The `-u <uuid>` parameter is required. From the install directory (`cd <INSTALL>`):

```
./startGoAuthProxy.bsh -u 7e9e71aa-3ad3-11ee-be56-0242ac120002 -r
```

To start on port 1815 (default is 1812), use the `-p <port>` option:

```
./startGoAuthProxy.bsh -p 1815 -u 7e9e71aa-3ad3-11ee-be56-0242ac120002 -r
```

To start with a proxy password:

```
./startGoAuthProxy.bsh -p <proxy password> -u 7e9e71aa-3ad3-11ee-be56-0242ac120002 -r
```

To start with a new RADIUS secret:

```
./startGoAuthProxy.bsh -s <new secret> -u 7e9e71aa-3ad3-11ee-be56-0242ac120002 -r
```

{% hint style="info" %}
**Note:** If the RADIUS secret contains bash shell special characters (`$`, `(`, `)`, …), escape the secret so bash does not interpret the characters as shell commands — for example, `secret$pecialchar(12)`.
{% endhint %}

### RADIUS server configuration parameters

* `-r <true|false>` — required to start the RADIUS server. Can be used together with the LDAP `-l` parameter to start both servers. Default is `false`; `true` starts the RADIUS server along with the LDAP server.
* `-P <port>` — override the default RADIUS port (1812).
* `-s <new secret>` — override the default RADIUS secret value, `secret`.
  * The default RADIUS secret `secret` should only be used for testing. For production servers, always use a secure secret string.
  * If the secret contains bash shell special characters, escape it to prevent bash from interpreting the characters as shell commands.

### Configuring the RADIUS secret

Your RADIUS client and RADIUS goauthproxy server must be configured with the same shared password (secret). The maximum length is 256 bytes and it is case sensitive. A shared secret of at least 16 characters is recommended.

| Start the RADIUS server on…        | Syntax                                                                                                  |
| ---------------------------------- | ------------------------------------------------------------------------------------------------------- |
| Port 1813 using the default secret | `./startGoAuthProxy.bsh -p 1813 -u 20783f4d-fc7a-4133-b379-1224f1e3c92e -r`                             |
| Port 1812 using the default secret | `./startGoAuthProxy.bsh -u 20783f4d-fc7a-4133-b379-1224f1e3c92e -`                                      |
| Port 1813 using the escaped secret | `./startGoAuthProxy.bsh -p 1813 -u 7e9e71aa-3ad3-11ee-be56-0242ac120002 -s secret\$pecialchar\(12\) -r` |

### Stopping the RADIUS server service

Run `stopGoAuthProxy.bsh`:

| Port          | Command                         |
| ------------- | ------------------------------- |
| 1814 (RADIUS) | `./stopGoAuthProxy.bsh -P 1814` |

### RADIUS event logs in AdminX

The RADIUS server generates [Event Logs ](/authentication/admin-portal/monitoring-and-reporting.md#event-logs)whenever a user successfully or unsuccessfully authenticates using RADIUS.

**`E_LOGIN_SUCCEEDED`** — created when a user completes RADIUS authentication using Push or OTP. Details captured: Tenant Info, `referrer_name = RADIUS`, Time of Event, Username, User IP Address, RADIUS client identifier, RADIUS client name, Login method (`push`, `otp`).

**`E_LOGIN_FAILED`** — created when a user fails RADIUS authentication. Details captured: the same fields listed above.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.1kosmos.com/authentication/authentication-proxy/radius-setup.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
